### -*-sh-*-
###
### Configuration for ssh-ca.

###--------------------------------------------------------------------------
### General configuration.

## General configuration defaults.
keytypes="rsa:3072 dsa:1024"
domain="distorted.org.uk"
cacomment="ssh-ca@$domain"
validity="-1h:+2d1h"
publish_target="sys-upload@stratocaster.distorted.org.uk:/var/www/ssh-ca/"

## GnuPG defaults.
gnupg_key_type=RSA gnupg_key_length=3072
gnupg_key_realname_prefix="distorted.org.uk "
gnupg_key_email_domain="$domain"

###--------------------------------------------------------------------------
### Scope for the CA.

## Domain name.
scope="*.$domain,*.binswood.org.uk"

## IPv4 addresses.
for i in 144 145 146 147 148 149; do scope=$scope,"62.49.204.$i"; done
scope=$scope,"62.49.204.15?"
for i in 198 199; do scope=$scope,"172.29.$i.*"; done
scope=$scope,"212.13.198.69,212.13.198.7?"
scope=$scope,"10.165.27.*"

## IPv6 addresses.
scope=$scope,"2001:470:1f08:1b98::2,2001:470:1f09:1b98:*"
scope=$scope,"2001:470:9740:*"
scope=$scope,"2001:ba8:0:1d9:*,2001:ba8:1d9:*"

###----- That's all, folks --------------------------------------------------
